<ui:composition xmlns:gazelle="http://java.sun.com/jsf/composite/gazelle-tags"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <div class="form-group #{invalid?'has-error has-feedback':''} #{styleClass == null ? '' : styleClass}">
        <label class="control-label col-sm-3">
            <ui:insert name="label"/>
            <gazelle:span styleClass="required" rendered="#{required}"> *</gazelle:span>
        </label>
        <div class="col-sm-9">
            <ui:insert/>
        </div>
    </div>
</ui:composition>